language: go

matrix:
    allow_failures:
        - go: tip
    include:
        - os: linux
          sudo: required
          go: 1.5.x
          # Use Go 1.5's vendoring experiment for 1.5 tests.
          env: GO15VENDOREXPERIMENT=1
        - os: linux
          sudo: required
          go: 1.6.x
        - os: linux
          sudo: required
          go: 1.7.x
        - os: linux
          sudo: required
          go: 1.8.x
        - os: linux
          sudo: required
          go: 1.9.x
        - os: linux
          sudo: required
          go: 1.10.x
        - os: linux
          sudo: required
          go: 1.11.x
        - os: linux
          sudo: required
          go: tip
        - os: osx
          go: 1.7.x
        - os: osx
          go: 1.8.x
        - os: osx
          go: 1.9.x
        - os: osx
          go: 1.10.x
        - os: osx
          go: 1.11.x
        - os: osx
          go: tip

script:
  - if [ $TRAVIS_GO_VERSION == "tip" ] ||
    [ $TRAVIS_GO_VERSION == "1.11.x" ] || 
    [ $TRAVIS_GO_VERSION == "1.10.x" ]; then
    make ci-test;
    else
    make ci-test-no-verify;
    fi

branches:
  only:
    - master
